<?php 
/* 
 * 	   Copyright 2010 WALTHER Jrmy & MOLE Bruno
 *    Zoku Server
 *    Version 1.0-beta
 *    
 *    Contact the authors :
 *    WALTHER Jrmy	: jeremy.walther@ftad.fr
 *    MOLE Bruno		: bruno.mole@ftad.fr
 *    
 *    This file is part of Zoku Server.
 *
 *    Zoku Server is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    Zoku Server is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with Zoku Server.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
?>
<?php

// Auteur: WALTHER Jérémy (golflima@ftad.fr)
// Design: WALTHER Jérémy (golflima@ftad.fr)
// Création : 27/03/2010
// Révision : 28/03/2010
// Fonction : Génération d'une captcha (anti spam)

if (!isset($zs_session_started) || !$zs_session_started)
{
	session_start();
}

$_SESSION['zs_captcha_number'] = rand(0, 999999);

while(strlen($_SESSION['zs_captcha_number']) < 6)
{
	$_SESSION['zs_captcha_number'] = "0".$_SESSION['zs_captcha_number'];
}

header("Content-type: image/png;");

$zs_captcha = ImageCreate(105, 40);
//$captcha = ImageCreateFromPNG("Captcha_background.png");
$zs_captcha_width = ImagesX($zs_captcha);
$zs_captcha_height = ImagesY($zs_captcha);

$zs_captcha_blanc = ImageColorAllocate($zs_captcha, 255, 255, 255);
$zs_captcha_gris = ImageColorAllocate($zs_captcha, 192, 192, 192);
$zs_captcha_noir = ImageColorAllocate($zs_captcha, 0, 0, 0);


ImageColorTransparent($zs_captcha, $zs_captcha_gris);

// Définission de la variable d'environnement pour GD
putenv('GDFONTPATH=' . realpath(".") . '/../fonts');

// Nom de la police à utiliser (notez l'absence de l'extension .ttf)
$zs_captcha_font = dirname(__FILE__).'/../fonts/INFILTRI.ttf';

for($i = 0; $i < strlen($_SESSION['zs_captcha_number']); $i++)
{
	ImageTTFText($zs_captcha, 20, rand(0,30), 10 + $i * 15 , 30, $zs_captcha_noir , $zs_captcha_font , substr($_SESSION['zs_captcha_number'], $i, 1));
}

ImagePNG($zs_captcha);

?>